ActionComplete.c File Reference

UpnpActionComplete object implementation. More...

`#include "config.h"`
`#include "ActionComplete.h"`
`#include <stdlib.h>`
`#include <string.h>`
Include dependency graph for ActionComplete.c:

## Data Structures

struct | SUpnpActionComplete
| Internal implementation of the UpnpActionComplete object. More...

## Functions

UpnpActionComplete * | UpnpActionComplete_new ()
| Constructor. More...
void | UpnpActionComplete_delete (UpnpActionComplete *p)
| Destructor. More...
UpnpActionComplete * | UpnpActionComplete_dup (const UpnpActionComplete *p)
| Copy Constructor. More...
void | UpnpActionComplete_assign (UpnpActionComplete *p, const UpnpActionComplete *q)
| Assignment operator. More...
int | UpnpActionComplete_get_ErrCode (const UpnpActionComplete *p)
| Error code getter. More...
void | UpnpActionComplete_set_ErrCode (UpnpActionComplete *p, int n)
| Error code setter. More...
const UpnpString * | UpnpActionComplete_get_CtrlUrl (const UpnpActionComplete *p)
| Control URL getter. More...
const char * | UpnpActionComplete_get_CtrlUrl_cstr (const UpnpActionComplete *p)
| Control URL getter as a C string. More...
void | UpnpActionComplete_set_CtrlUrl (UpnpActionComplete *p, const UpnpString *s)
| Control URL setter. More...
void | UpnpActionComplete_strcpy_CtrlUrl (UpnpActionComplete *p, const char *s)
| Set the control URL from a null terminated C string. More...
IXML_Document * | UpnpActionComplete_get_ActionRequest (const UpnpActionComplete *p)
| ActionRequest document getter. More...
void | UpnpActionComplete_set_ActionRequest (UpnpActionComplete *p, IXML_Document *d)
| ActionRequest document setter. More...
IXML_Document * | UpnpActionComplete_get_ActionResult (const UpnpActionComplete *p)
| ActionResult document getter. More...
void | UpnpActionComplete_set_ActionResult (UpnpActionComplete *p, IXML_Document *d)
| ActionResult document setter. More...

## Detailed Description

UpnpActionComplete object implementation.

Author
  Marcelo Roberto Jimenez

## Function Documentation

void UpnpActionComplete_assign | ( | UpnpActionComplete * | p,
|  | const UpnpActionComplete * | q
| ) |  |

Assignment operator.

Parameters

  [in] | p | this pointer.
  [in] | q | that pointer.

References UpnpActionComplete_get_ActionRequest(), UpnpActionComplete_get_ActionResult(), UpnpActionComplete_get_CtrlUrl(), UpnpActionComplete_get_ErrCode(), UpnpActionComplete_set_ActionRequest(), UpnpActionComplete_set_ActionResult(), UpnpActionComplete_set_CtrlUrl(), and UpnpActionComplete_set_ErrCode().

Referenced by UpnpActionComplete_dup().

void UpnpActionComplete_delete | ( | UpnpActionComplete * | p | ) |

Destructor.

Parameters

  [in] | p | this pointer.

References SUpnpActionComplete::m_ctrlUrl, SUpnpActionComplete::m_errCode, UpnpActionComplete_set_ActionRequest(), UpnpActionComplete_set_ActionResult(), and UpnpString_delete().

Referenced by UpnpThreadDistribution().

UpnpActionComplete* UpnpActionComplete_dup | ( | const UpnpActionComplete * | p | ) |

Copy Constructor.

Parameters

  [in] | p | this pointer.

References UpnpActionComplete_assign(), and UpnpActionComplete_new().

IXML_Document* UpnpActionComplete_get_ActionRequest | ( | const UpnpActionComplete * | p | ) |

ActionRequest document getter.

Returns
  A pointer to the document object.

Parameters

  [in] | p | this pointer.

Referenced by UpnpActionComplete_assign().

IXML_Document* UpnpActionComplete_get_ActionResult | ( | const UpnpActionComplete * | p | ) |

ActionResult document getter.

Parameters

  [in] | p | this pointer.

Referenced by UpnpActionComplete_assign().

const UpnpString* UpnpActionComplete_get_CtrlUrl | ( | const UpnpActionComplete * | p | ) |

Control URL getter.

Returns
  The control URL string.

Parameters

  [in] | p | this pointer.

Referenced by UpnpActionComplete_assign(), and UpnpActionComplete_get_CtrlUrl_cstr().

const char* UpnpActionComplete_get_CtrlUrl_cstr | ( | const UpnpActionComplete * | p | ) |

Control URL getter as a C string.

Returns
  The control URL string.

Parameters

  [in] | p | this pointer.

References UpnpActionComplete_get_CtrlUrl(), and UpnpString_get_String().

int UpnpActionComplete_get_ErrCode | ( | const UpnpActionComplete * | p | ) |

Error code getter.

Parameters

  [in] | p | this pointer.

Referenced by UpnpActionComplete_assign().

UpnpActionComplete* UpnpActionComplete_new | ( |  | ) |

Constructor.

Returns
  Pointer to the newly created object.

References SUpnpActionComplete::m_actionRequest, SUpnpActionComplete::m_actionResult, SUpnpActionComplete::m_ctrlUrl, SUpnpActionComplete::m_errCode, and UpnpString_new().

Referenced by UpnpActionComplete_dup(), and UpnpThreadDistribution().

void UpnpActionComplete_set_ActionRequest | ( | UpnpActionComplete * | p,
|  | IXML_Document * | d
| ) |  |

ActionRequest document setter.

Note
  The ActionComplete object takes ownership of the document parameter, i.e. it is responsible for deleting it upon destruction.

Parameters

  [in] | p | this pointer.
  [in] | d | Document to copy.

References ixmlDocument_free(), and SUpnpActionComplete::m_actionRequest.

Referenced by UpnpActionComplete_assign(), UpnpActionComplete_delete(), and UpnpThreadDistribution().

void UpnpActionComplete_set_ActionResult | ( | UpnpActionComplete * | p,
|  | IXML_Document * | d
| ) |  |

ActionResult document setter.

Note
  The ActionComplete object takes ownership of the document parameter, i.e. it is responsible for deleting it upon destruction.

Parameters

  [in] | p | this pointer.
  [in] | d | Document to copy.

References ixmlDocument_free(), and SUpnpActionComplete::m_actionResult.

Referenced by UpnpActionComplete_assign(), UpnpActionComplete_delete(), and UpnpThreadDistribution().

void UpnpActionComplete_set_CtrlUrl | ( | UpnpActionComplete * | p,
|  | const UpnpString * | s
| ) |  |

Control URL setter.

Parameters

  [in] | p | this pointer.
  [in] | s | The control URL string to copy.

References SUpnpActionComplete::m_ctrlUrl, UpnpString_delete(), and UpnpString_dup().

Referenced by UpnpActionComplete_assign().

void UpnpActionComplete_set_ErrCode | ( | UpnpActionComplete * | p,
|  | int | n
| ) |  |

Error code setter.

Parameters

  [in] | p | this pointer.
  [in] | n | The error code to set.

Referenced by UpnpActionComplete_assign(), and UpnpThreadDistribution().

void UpnpActionComplete_strcpy_CtrlUrl | ( | UpnpActionComplete * | p,
|  | const char * | s
| ) |  |

Set the control URL from a null terminated C string.

Parameters

  [in] | p | this pointer.
  [in] | s | The null terminated control URL C string to copy.

References SUpnpActionComplete::m_ctrlUrl, UpnpString_delete(), UpnpString_new(), and UpnpString_set_String().

Referenced by UpnpThreadDistribution().